org.springframework.cloud.dataflow.server.config.features

## Class LocalTaskPlatformFactory

- java.lang.Object
- - org.springframework.cloud.dataflow.core.AbstractTaskPlatformFactory<LocalPlatformProperties>
  - - org.springframework.cloud.dataflow.server.config.features.LocalTaskPlatformFactory

- All Implemented Interfaces:
    TaskPlatformFactory

      public class LocalTaskPlatformFactory
      extends AbstractTaskPlatformFactory<LocalPlatformProperties>

  Author:
    David Turanski, Glenn Renfro

- - ### Field Summary

    - ### Fields inherited from class org.springframework.cloud.dataflow.core.AbstractTaskPlatformFactory

      `logger, platformProperties`

    - ### Fields inherited from interface org.springframework.cloud.dataflow.core.TaskPlatformFactory

      `CLOUDFOUNDRY_PLATFORM_TYPE, KUBERNETES_PLATFORM_TYPE, LOCAL_PLATFORM_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalTaskPlatformFactory(LocalPlatformProperties platformProperties, org.springframework.cloud.deployer.spi.scheduler.Scheduler localScheduler)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Launcher` | `createLauncher(String account)` Create the `Launcher` by the given name.
    `TaskPlatform` | `createTaskPlatform()` Create the `TaskPlatform` instance with the launchers.

    - ### Methods inherited from class org.springframework.cloud.dataflow.core.AbstractTaskPlatformFactory

      `createLaunchers`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalTaskPlatformFactory

          public LocalTaskPlatformFactory(LocalPlatformProperties platformProperties,
                                          org.springframework.cloud.deployer.spi.scheduler.Scheduler localScheduler)

  - ### Method Detail

    - #### createTaskPlatform

          public TaskPlatform createTaskPlatform()

      Description copied from interface: `TaskPlatformFactory`
      Create the `TaskPlatform` instance with the launchers.
      Specified by:
        `createTaskPlatform` in interface `TaskPlatformFactory`
      Overrides:
        `createTaskPlatform` in class `AbstractTaskPlatformFactory<LocalPlatformProperties>`
      Returns:
        the task platform

    - #### createLauncher

          public Launcher createLauncher(String account)

      Description copied from interface: `TaskPlatformFactory`
      Create the `Launcher` by the given name.
      Parameters:
        `account` - the name of the launcher
      Returns:
        the launcher instance.

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.